[
  {
    "Type": "BlueprintGeneratedClass",
    "Name": "CreatePoints_C",
    "Class": "UScriptClass'BlueprintGeneratedClass'",
    "Flags": "RF_Public | RF_Transactional | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement'",
      "ObjectPath": "/Script/PCG"
    },
    "Children": [
      {
        "ObjectName": "Function'CreatePoints_C:IsCacheableOverride'",
        "ObjectPath": "/PCG/BP_Elements/CreatePoints.3"
      },
      {
        "ObjectName": "Function'CreatePoints_C:NodeTitleOverride'",
        "ObjectPath": "/PCG/BP_Elements/CreatePoints.5"
      },
      {
        "ObjectName": "Function'CreatePoints_C:IterationLoopBody'",
        "ObjectPath": "/PCG/BP_Elements/CreatePoints.4"
      },
      {
        "ObjectName": "Function'CreatePoints_C:ExecuteWithContext'",
        "ObjectPath": "/PCG/BP_Elements/CreatePoints.2"
      }
    ],
    "ChildProperties": [
      {
        "Type": "ArrayProperty",
        "Name": "PointsToCreate",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 16,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Inner": {
          "Type": "StructProperty",
          "Name": "PointsToCreate",
          "Flags": "RF_Public",
          "ElementSize": 208,
          "Struct": {
            "ObjectName": "Class'PCGPoint'",
            "ObjectPath": "/Script/PCG"
          }
        }
      },
      {
        "Type": "ArrayProperty",
        "Name": "PositionsToCreatePoints",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 16,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Inner": {
          "Type": "StructProperty",
          "Name": "PositionsToCreatePoints",
          "Flags": "RF_Public",
          "ElementSize": 24,
          "Struct": {
            "ObjectName": "Class'Vector'",
            "ObjectPath": "/Script/CoreUObject"
          }
        }
      },
      {
        "Type": "BoolProperty",
        "Name": "Local",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 1,
        "PropertyFlags": "Edit | BlueprintVisible",
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "ComputeSeedFromPosition",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 1,
        "PropertyFlags": "Edit | BlueprintVisible",
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "ByteProperty",
        "Name": "PointCreationMethod",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 1,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Enum": {
          "ObjectName": "UserDefinedEnum'PCGPointCreationMethod'",
          "ObjectPath": "/PCG/BP_Elements/Resources/PCGPointCreationMethod.0"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "SinglePosition",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 24,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Struct": {
          "ObjectName": "Class'Vector'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "SinglePoint",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 208,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Struct": {
          "ObjectName": "Class'PCGPoint'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "Count",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 4,
        "PropertyFlags": "Edit | BlueprintVisible"
      },
      {
        "Type": "BoolProperty",
        "Name": "CullPointsOutsideVolume",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 1,
        "PropertyFlags": "Edit | BlueprintVisible",
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "PtCount",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 4,
        "PropertyFlags": "Edit | BlueprintVisible"
      },
      {
        "Type": "ObjectProperty",
        "Name": "PtData",
        "Flags": "RF_Public | RF_LoadCompleted",
        "ElementSize": 8,
        "PropertyFlags": "Edit | BlueprintVisible",
        "PropertyClass": {
          "ObjectName": "Class'PCGPointData'",
          "ObjectPath": "/Script/PCG"
        }
      }
    ],
    "FuncMap": {
      "ExecuteWithContext": {
        "ObjectName": "Function'CreatePoints_C:ExecuteWithContext'",
        "ObjectPath": "/PCG/BP_Elements/CreatePoints.2"
      },
      "IterationLoopBody": {
        "ObjectName": "Function'CreatePoints_C:IterationLoopBody'",
        "ObjectPath": "/PCG/BP_Elements/CreatePoints.4"
      },
      "NodeTitleOverride": {
        "ObjectName": "Function'CreatePoints_C:NodeTitleOverride'",
        "ObjectPath": "/PCG/BP_Elements/CreatePoints.5"
      },
      "IsCacheableOverride": {
        "ObjectName": "Function'CreatePoints_C:IsCacheableOverride'",
        "ObjectPath": "/PCG/BP_Elements/CreatePoints.3"
      }
    },
    "ClassFlags": "CLASS_ReplicationDataIsSetUp | CLASS_CompiledFromBlueprint",
    "ClassWithin": {
      "ObjectName": "Class'Object'",
      "ObjectPath": "/Script/CoreUObject"
    },
    "ClassConfigName": "Engine",
    "bCooked": true,
    "ClassDefaultObject": {
      "ObjectName": "CreatePoints_C'Default__CreatePoints_C'",
      "ObjectPath": "/PCG/BP_Elements/CreatePoints.1"
    },
    "EditorTags": {
      "BlueprintType": "BPTYPE_Normal"
    }
  },
  {
    "Type": "CreatePoints_C",
    "Name": "Default__CreatePoints_C",
    "Class": "BlueprintGeneratedClass'/PCG/BP_Elements/CreatePoints.CreatePoints_C'",
    "Flags": "RF_Public | RF_Transactional | RF_ClassDefaultObject | RF_ArchetypeObject | RF_WasLoaded | RF_LoadCompleted",
    "Properties": {
      "ComputeSeedFromPosition[3]": true,
      "SinglePosition[5]": {
        "X": 0.0,
        "Y": 0.0,
        "Z": 0.0
      },
      "SinglePoint[6]": {
        "Transform": {
          "Rotation": {
            "X": 0.0,
            "Y": 0.0,
            "Z": 0.0,
            "W": 1.0,
            "IsNormalized": true,
            "Size": 1.0,
            "SizeSquared": 1.0
          },
          "Translation": {
            "X": 0.0,
            "Y": 0.0,
            "Z": 0.0
          },
          "Scale3D": {
            "X": 1.0,
            "Y": 1.0,
            "Z": 1.0
          }
        },
        "Density": 1.0,
        "BoundsMin": {
          "X": -1.0,
          "Y": -1.0,
          "Z": -1.0
        },
        "BoundsMax": {
          "X": 1.0,
          "Y": 1.0,
          "Z": 1.0
        },
        "Color": {
          "X": 1.0,
          "Y": 1.0,
          "Z": 1.0,
          "W": 1.0
        },
        "Steepness": 0.5,
        "Seed": 0,
        "MetadataEntry": -1
      },
      "Count[7]": 1,
      "CullPointsOutsideVolume[8]": true,
      "bComputeFullDataCrc": true,
      "CustomOutputPins": [
        {
          "Label": "Out",
          "AllowedTypes": "EPCGDataType::Spline",
          "bAllowMultipleData": true,
          "bAllowMultipleConnections": true,
          "bAdvancedPin": false
        }
      ],
      "bHasDefaultInPin": false,
      "bHasDefaultOutPin": false
    }
  },
  {
    "Type": "Function",
    "Name": "ExecuteWithContext",
    "Outer": "CreatePoints_C",
    "Class": "UScriptClass'Function'",
    "Flags": "RF_Public | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement:ExecuteWithContext'",
      "ObjectPath": "/Script/PCG"
    },
    "ChildProperties": [
      {
        "Type": "StructProperty",
        "Name": "InContext",
        "Flags": "RF_Public",
        "ElementSize": 184,
        "PropertyFlags": "BlueprintVisible | BlueprintReadOnly | Parm | OutParm | ReferenceParm",
        "Struct": {
          "ObjectName": "Class'PCGContext'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "Input",
        "Flags": "RF_Public",
        "ElementSize": 32,
        "PropertyFlags": "ConstParm | BlueprintVisible | BlueprintReadOnly | Parm | OutParm | ReferenceParm",
        "Struct": {
          "ObjectName": "Class'PCGDataCollection'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "Output",
        "Flags": "RF_Public",
        "ElementSize": 32,
        "PropertyFlags": "Parm | OutParm",
        "Struct": {
          "ObjectName": "Class'PCGDataCollection'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ArrayProperty",
        "Name": "PointsToLoopOn",
        "Flags": "RF_Public",
        "ElementSize": 16,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Inner": {
          "Type": "StructProperty",
          "Name": "PointsToLoopOn",
          "Flags": "RF_Public",
          "ElementSize": 208,
          "Struct": {
            "ObjectName": "Class'PCGPoint'",
            "ObjectPath": "/Script/PCG"
          }
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "Target Actor",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "Edit | BlueprintVisible | DisableEditOnTemplate",
        "PropertyClass": {
          "ObjectName": "Class'Actor'",
          "ObjectPath": "/Script/Engine"
        }
      },
      {
        "Type": "BoolProperty",
        "Name": "Temp_bool_Variable",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_GetActorData_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'PCGData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "K2Node_DynamicCast_AsPCGSpatial_Data",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'PCGSpatialData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "BoolProperty",
        "Name": "K2Node_DynamicCast_bSuccess",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "Temp_bool_Variable_1",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_SpawnObject_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'PCGPointData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "Temp_int_Variable",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Add_IntInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "IntProperty",
        "Name": "Temp_int_Loop_Counter_Variable",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Add_IntInt_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "IntProperty",
        "Name": "Temp_int_Array_Index_Variable",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_MutableMetadata_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'PCGMetadata'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Subtract_IntInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "Temp_bool_Variable_2",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "Temp_int_Variable_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_LessEqual_IntInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Add_IntInt_ReturnValue_2",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Subtract_IntInt_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_LessEqual_IntInt_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Array_Add_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_EqualEqual_ByteByte_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "Temp_bool_Variable_3",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Array_Add_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_EqualEqual_ByteByte_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "ByteProperty",
        "Name": "Temp_byte_Variable",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "Enum": {
          "ObjectName": "UserDefinedEnum'PCGPointCreationMethod'",
          "ObjectPath": "/PCG/BP_Elements/Resources/PCGPointCreationMethod.0"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Array_Length_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "K2Node_Select_Default",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "Int64Property",
        "Name": "CallFunc_Conv_IntToInt64_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_IterationLoop_OutData",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'PCGPointData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "K2Node_MakeStruct_PCGTaggedData",
        "Flags": "RF_Public",
        "ElementSize": 104,
        "Struct": {
          "ObjectName": "Class'PCGTaggedData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ArrayProperty",
        "Name": "K2Node_MakeArray_Array",
        "Flags": "RF_Public",
        "ElementSize": 16,
        "PropertyFlags": "ReferenceParm",
        "Inner": {
          "Type": "StructProperty",
          "Name": "K2Node_MakeArray_Array",
          "Flags": "RF_Public",
          "ElementSize": 104,
          "Struct": {
            "ObjectName": "Class'PCGTaggedData'",
            "ObjectPath": "/Script/PCG"
          }
        }
      },
      {
        "Type": "StructProperty",
        "Name": "K2Node_MakeStruct_PCGDataCollection",
        "Flags": "RF_Public",
        "ElementSize": 32,
        "Struct": {
          "ObjectName": "Class'PCGDataCollection'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Array_Length_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_MakeTransform_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 96,
        "Struct": {
          "ObjectName": "Class'Transform'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_Less_IntInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "StructProperty",
        "Name": "K2Node_MakeStruct_PCGPoint",
        "Flags": "RF_Public",
        "ElementSize": 208,
        "Struct": {
          "ObjectName": "Class'PCGPoint'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Array_Add_ReturnValue_2",
        "Flags": "RF_Public",
        "ElementSize": 4
      }
    ],
    "FunctionFlags": "FUNC_Event | FUNC_Public | FUNC_HasOutParms | FUNC_HasDefaults | FUNC_BlueprintCallable | FUNC_BlueprintEvent"
  },
  {
    "Type": "Function",
    "Name": "IsCacheableOverride",
    "Outer": "CreatePoints_C",
    "Class": "UScriptClass'Function'",
    "Flags": "RF_Public | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement:IsCacheableOverride'",
      "ObjectPath": "/Script/PCG"
    },
    "ChildProperties": [
      {
        "Type": "BoolProperty",
        "Name": "ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "PropertyFlags": "Parm | OutParm | ReturnParm",
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_Not_PreBool_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      }
    ],
    "FunctionFlags": "FUNC_Event | FUNC_Public | FUNC_HasOutParms | FUNC_BlueprintCallable | FUNC_BlueprintEvent | FUNC_Const"
  },
  {
    "Type": "Function",
    "Name": "IterationLoopBody",
    "Outer": "CreatePoints_C",
    "Class": "UScriptClass'Function'",
    "Flags": "RF_Public | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement:IterationLoopBody'",
      "ObjectPath": "/Script/PCG"
    },
    "ChildProperties": [
      {
        "Type": "StructProperty",
        "Name": "InContext",
        "Flags": "RF_Public",
        "ElementSize": 184,
        "PropertyFlags": "ConstParm | BlueprintVisible | BlueprintReadOnly | Parm | OutParm | ReferenceParm",
        "Struct": {
          "ObjectName": "Class'PCGContext'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "Int64Property",
        "Name": "Iteration",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "BlueprintVisible | BlueprintReadOnly | Parm"
      },
      {
        "Type": "ObjectProperty",
        "Name": "InA",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "ConstParm | BlueprintVisible | BlueprintReadOnly | Parm",
        "PropertyClass": {
          "ObjectName": "Class'PCGSpatialData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "InB",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "ConstParm | BlueprintVisible | BlueprintReadOnly | Parm",
        "PropertyClass": {
          "ObjectName": "Class'PCGSpatialData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "OutPoint",
        "Flags": "RF_Public",
        "ElementSize": 208,
        "PropertyFlags": "Parm | OutParm",
        "Struct": {
          "ObjectName": "Class'PCGPoint'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "OutMetadata",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "BlueprintVisible | BlueprintReadOnly | Parm",
        "PropertyClass": {
          "ObjectName": "Class'PCGMetadata'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "BoolProperty",
        "Name": "ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "PropertyFlags": "Parm | OutParm | ReturnParm",
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "ObjectProperty",
        "Name": "outMeta",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "Edit | BlueprintVisible",
        "PropertyClass": {
          "ObjectName": "Class'PCGMetadata'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "Int64Property",
        "Name": "maxIndex",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "Edit | BlueprintVisible"
      },
      {
        "Type": "Int64Property",
        "Name": "index",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "Edit | BlueprintVisible"
      },
      {
        "Type": "StructProperty",
        "Name": "inPoint",
        "Flags": "RF_Public",
        "ElementSize": 208,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Struct": {
          "ObjectName": "Class'PCGPoint'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "context",
        "Flags": "RF_Public",
        "ElementSize": 184,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Struct": {
          "ObjectName": "Class'PCGContext'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "InLoopPoint",
        "Flags": "RF_Public",
        "ElementSize": 208,
        "PropertyFlags": "Edit | BlueprintVisible",
        "Struct": {
          "ObjectName": "Class'PCGPoint'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "InLoopInContextSpatialData",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "Edit | BlueprintVisible",
        "PropertyClass": {
          "ObjectName": "Class'PCGSpatialData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Conv_Int64ToInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "Temp_bool_Variable",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_Greater_IntInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_EqualEqual_ByteByte_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_EqualEqual_ByteByte_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_BooleanOR_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "Int64Property",
        "Name": "CallFunc_Conv_IntToInt64_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_BooleanAND_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "DoubleProperty",
        "Name": "CallFunc_Conv_Int64ToDouble_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8
      },
      {
        "Type": "DoubleProperty",
        "Name": "CallFunc_Conv_Int64ToDouble_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 8
      },
      {
        "Type": "DoubleProperty",
        "Name": "CallFunc_Conv_Int64ToDouble_ReturnValue_2",
        "Flags": "RF_Public",
        "ElementSize": 8
      },
      {
        "Type": "DoubleProperty",
        "Name": "CallFunc_Conv_Int64ToDouble_ReturnValue_3",
        "Flags": "RF_Public",
        "ElementSize": 8
      },
      {
        "Type": "BoolProperty",
        "Name": "Temp_bool_Variable_1",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_Conv_Int64ToInt_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "Temp_bool_Variable_2",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_GetPoint_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 208,
        "Struct": {
          "ObjectName": "Class'PCGPoint'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Location",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Vector'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Rotation",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Rotator'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Scale",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Vector'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_GetOriginalComponent_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyFlags": "InstancedReference",
        "PropertyClass": {
          "ObjectName": "Class'PCGComponent'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_GetActorData_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'PCGData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "CallFunc_GetOwner_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'Actor'",
          "ObjectPath": "/Script/Engine"
        }
      },
      {
        "Type": "ObjectProperty",
        "Name": "K2Node_DynamicCast_AsPCGSpatial_Data",
        "Flags": "RF_Public",
        "ElementSize": 8,
        "PropertyClass": {
          "ObjectName": "Class'PCGSpatialData'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "BoolProperty",
        "Name": "K2Node_DynamicCast_bSuccess",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_GetTransform_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 96,
        "PropertyFlags": "ConstParm",
        "Struct": {
          "ObjectName": "Class'Transform'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Location_1",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Vector'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Rotation_1",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Rotator'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Scale_1",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Vector'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_MakeTransform_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 96,
        "Struct": {
          "ObjectName": "Class'Transform'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_ComposeTransforms_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 96,
        "Struct": {
          "ObjectName": "Class'Transform'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "FloatProperty",
        "Name": "CallFunc_GetDensityAtPosition_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Location_2",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Vector'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Rotation_2",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Rotator'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "StructProperty",
        "Name": "CallFunc_BreakTransform_Scale_2",
        "Flags": "RF_Public",
        "ElementSize": 24,
        "Struct": {
          "ObjectName": "Class'Vector'",
          "ObjectPath": "/Script/CoreUObject"
        }
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_Greater_DoubleDouble_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_ComputeSeedFromPosition_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "FloatProperty",
        "Name": "CallFunc_GetDensityAtPosition_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "CallFunc_Greater_DoubleDouble_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "K2Node_Select_Default",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "BoolProperty",
        "Name": "Temp_bool_Variable_3",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_SelectInt_ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "BoolProperty",
        "Name": "K2Node_Select_Default_1",
        "Flags": "RF_Public",
        "ElementSize": 1,
        "FieldSize": 1,
        "ByteOffset": 0,
        "ByteMask": 1,
        "FieldMask": 255,
        "BoolSize": 1,
        "bIsNativeBool": true
      },
      {
        "Type": "IntProperty",
        "Name": "CallFunc_SelectInt_ReturnValue_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "StructProperty",
        "Name": "K2Node_SetFieldsInStruct_StructOut",
        "Flags": "RF_Public",
        "ElementSize": 208,
        "Struct": {
          "ObjectName": "Class'PCGPoint'",
          "ObjectPath": "/Script/PCG"
        }
      },
      {
        "Type": "FloatProperty",
        "Name": "CallFunc_SetFloatAttribute_Value_ImplicitCast",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "FloatProperty",
        "Name": "CallFunc_SetFloatAttribute_Value_ImplicitCast_1",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "FloatProperty",
        "Name": "CallFunc_SetFloatAttribute_Value_ImplicitCast_2",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "FloatProperty",
        "Name": "CallFunc_SetFloatAttribute_Value_ImplicitCast_3",
        "Flags": "RF_Public",
        "ElementSize": 4
      },
      {
        "Type": "DoubleProperty",
        "Name": "CallFunc_Greater_DoubleDouble_A_ImplicitCast",
        "Flags": "RF_Public",
        "ElementSize": 8
      },
      {
        "Type": "DoubleProperty",
        "Name": "CallFunc_Greater_DoubleDouble_A_ImplicitCast_1",
        "Flags": "RF_Public",
        "ElementSize": 8
      }
    ],
    "FunctionFlags": "FUNC_Event | FUNC_Public | FUNC_HasOutParms | FUNC_HasDefaults | FUNC_BlueprintCallable | FUNC_BlueprintEvent | FUNC_Const"
  },
  {
    "Type": "Function",
    "Name": "NodeTitleOverride",
    "Outer": "CreatePoints_C",
    "Class": "UScriptClass'Function'",
    "Flags": "RF_Public | RF_WasLoaded | RF_LoadCompleted",
    "SuperStruct": {
      "ObjectName": "Class'PCGBlueprintElement:NodeTitleOverride'",
      "ObjectPath": "/Script/PCG"
    },
    "ChildProperties": [
      {
        "Type": "NameProperty",
        "Name": "ReturnValue",
        "Flags": "RF_Public",
        "ElementSize": 12,
        "PropertyFlags": "Parm | OutParm | ReturnParm"
      }
    ],
    "FunctionFlags": "FUNC_Event | FUNC_Public | FUNC_HasOutParms | FUNC_BlueprintCallable | FUNC_BlueprintEvent | FUNC_Const"
  }
]